Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691686 - RHEL based ansible-operator image in Container Catalog
Summary: RHEL based ansible-operator image in Container Catalog
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Shawn Hurley
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-22 09:09 UTC by Ravi Trivedi
Modified: 2019-04-09 07:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 20:18:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ravi Trivedi 2019-03-22 09:09:02 UTC
Description of problem:

OCP 3.11 is shipped with OLM.

OLM supports operators written with Ansible.

RH Container registry does not contain image based on RHEL being equivalent of quay.io/operator-framework/ansible-operator:v0.5.0 (which is based on CentOS)


Version-Release number of selected component (if applicable):

OCP 3.11+

How reproducible:

Always


Additional info:

Customer asking for such an image for OCP 3.11 but it seems relevant for OCP 4.X too.

Comment 1 Adam Kaplan 2019-03-25 18:48:25 UTC
Assigning to Service Broker, which owns the ansible-operator image.

Comment 2 Zhang Cheng 2019-03-26 01:48:22 UTC
ansible-operator owned by Service Broker and support from OCP4.X.
Setting target release to 4.1.0

Comment 4 Shawn Hurley 2019-03-29 20:18:14 UTC
This is being tracked by the jira ticket: https://jira.coreos.com/browse/ART-536 and is not a defect.

Comment 5 Zhang Cheng 2019-04-01 02:05:50 UTC
Shawn, I clear this problem (lack ansible-operator image) have been traced in Jira, but we (QE) still need a bug to trace and verify while ready for test.

Also, I set target release to 4.1 since we hope it can be fixed and verified before 4.1 GA.


Note You need to log in before you can comment on or make changes to this bug.